eip1559 0.6.2 copy "eip1559: ^0.6.2" to clipboard
eip1559: ^0.6.2 copied to clipboard

EIP-1559 Ethereum and Web3 market fee and gas estimation for Dart.

pub package

EIP-1559 Ethereum and Web3 market fee and gas estimation for Dart.

Getting Started #

In your pubspec.yaml file add:

dependencies:
  eip1559: any

Then, in your code import and use the package:

import 'package:eip1559/eip1559.dart';

const infuraId = 'YOUR_INFURA_ID';

void main() {
  const url = 'https://mainnet.infura.io/v3/$infuraId';
  var rates = getGasInEIP1559(url);
  print(rates);
}
3
likes
130
pub points
64%
popularity

Publisher

unverified uploader

EIP-1559 Ethereum and Web3 market fee and gas estimation for Dart.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

http

More

Packages that depend on eip1559